"use strict";
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var defaultFindElementOptions = {
    timeoutInMS: 10000,
};
exports.findElement = function (selector, options) {
    var timeoutInMS = __assign({}, defaultFindElementOptions, options).timeoutInMS;
    var timeStamp = Date.now();
    if (!selector) {
        return Promise.reject('A selector must be provided');
    }
    return new Promise(function (resolve, reject) {
        var interval = setInterval(function () {
            var element = document.querySelector(selector);
            if (element) {
                clearInterval(interval);
                return resolve(element);
            }
            if (Date.now() - timeStamp >= timeoutInMS) {
                clearInterval(interval);
                return reject("Element \"" + selector + "\" was not found");
            }
        }, 100);
    });
};
//# sourceMappingURL=find-element.js.map