"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var cursor_1 = require("../helpers/cursor");
exports.hover = function (element) {
    var cursor = cursor_1.getCursor();
    var offsetHeight = element.offsetHeight, offsetWidth = element.offsetWidth;
    var _a = element.getBoundingClientRect(), left = _a.left, top = _a.top;
    return new Promise(function (resolve, reject) {
        if (!cursor) {
            return reject('Cursor element was not found');
        }
        cursor.addEventListener('transitionend', function () { return resolve(); });
        cursor.style.left = left + offsetWidth / 2 + "px";
        cursor.style.top = top + offsetHeight / 2 + "px";
    });
};
//# sourceMappingURL=hover.js.map